utl::common_impl::__xref< T & > Struct Template Reference

`#include <stl.h>`

## Public Types

template<class U >
using | apply = std::add_lvalue_reference_t< meta::invoke< __xref< T >, U > >

## Detailed Description

### template<class T>
struct utl::common_impl::__xref< T & >

Definition at line 194 of file stl.h.

## Member Typedef Documentation

## apply

template<class T >
template<class U >

using utl::common_impl::__xref< T & >::apply = std::add_lvalue_reference_t<meta::invoke<__xref<T>, U> >

Definition at line 196 of file stl.h.

The documentation for this struct was generated from the following file:

- include/utl/concepts/stl.h